/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_DIASPRODUCAO                                             */
/* Tabela : DIASPRODUCAO                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 23/04/2007 - Ronald Reis                                                   */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_DIASPRODUCAO
BEFORE INSERT OR UPDATE OR DELETE
ON DIASPRODUCAO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUDIPR := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDPERIPRODU,0) <> NVL(:NEW.CDPERIPRODU,0)) OR
         (NVL(:OLD.DIPRODUCAO,0) <> NVL(:NEW.DIPRODUCAO,0))   OR
         (NVL(:OLD.IDOCORP01,0) <> NVL(:NEW.IDOCORP01,0))     OR
         (NVL(:OLD.IDOCORP02,0) <> NVL(:NEW.IDOCORP02,0))     OR
         (NVL(:OLD.IDOCORP03,0) <> NVL(:NEW.IDOCORP03,0))     OR
         (NVL(:OLD.IDOCORP04,0) <> NVL(:NEW.IDOCORP04,0))     OR
         (NVL(:OLD.IDOCORP05,0) <> NVL(:NEW.IDOCORP05,0)) THEN
         :NEW.DTULTATUDIPR := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('DIASPRODUCAO', '', 'CDPERIPRODU='||:OLD.CDPERIPRODU||';DIPRODUCAO='||:OLD.DIPRODUCAO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE DIASPRODUCAO MODIFY DTULTATUDIPR DEFAULT SYSDATE
/
-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_DIASPRODUCAO','4.11.134'); END;
/
